#!/bin/bash

set -ex

script_dir="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
cd "${script_dir}"

export PATH=${BASE}/node_modules/.bin:$PATH


echo "Docs directory: $script_dir"

#bun build
#bun ${script_dir}/node_modules/.bin/docusaurus build

rm -rf build
cp buildchoice/biz_navbar.ts navigation/navbar.ts
cp buildchoice/biz_docusaurus.config.ts docusaurus.config.ts
pnpm build
rsync -rv --delete ${script_dir}/build/ root@info.ourworld.tf:/root/hero/www/info/veda/

rm -rf build
cp buildchoice/coown_navbar.ts navigation/navbar.ts
cp buildchoice/coown_docusaurus.config.ts docusaurus.config.ts
pnpm build
rsync -rv --delete ${script_dir}/build/ root@info.ourworld.tf:/root/hero/www/info/veda1234/
